echo eclipse作品があるドライブにセット
R:
echo 作品のソースのルーパス(開発位置でもある）にセット
set srcpath=R:\pleiades\workspace\game28\src
cd %srcpath%

echo mainがあるクラスパッケージ名指定
set pack=fishgame

echo mainがあるクラスの名指定
set src=TestSplitePanel2

echo 作成する実行可能ファイル名指定
set mkfile=R:\pleiades\workspace\game28\fish_shooting.jar

echo javaの開発ツール位置設定
set JAVAHOME=R:\pleiades\java\8

echo 開発用環境変数設定
set path=%JAVAHOME%\bin;%path%
set CLASSPATH=.;R:\pleiades\workspace\game28\sprite.jar;%JAVAHOME%;


echo jar作業ディレクトリ作成(ここにクラスを作り、リソースを集める)
set temp=%DEFAULTUSERPROFILE%\WORK
mkdir %temp%

javac -d %temp% -encoding utf-8 -source 1.6 -target 1.6 %pack%\%src%.java
echo コンパイル判定
IF ERRORLEVEL 1 GOTO LEND

echo マニフェストファイル作成
echo Main-Class: %pack%.%src%> %temp%\manifest.txt
echo Class-Path: %src%.jar .>> %temp%\manifest.txt

echo 必要なファイルを作業ディレクトリにコピー
copy %pack%\*.css %temp%\%pack%
copy %pack%\*.gif %temp%\%pack%
copy %pack%\*.png %temp%\%pack%
copy %pack%\*.jpg %temp%\%pack%
copy %pack%\*.mid %temp%\%pack%
copy %pack%\*.wav %temp%\%pack%
PUSHD %temp%
jar -fx R:\pleiades\workspace\game28\sprite.jar
POPD

echo jarで圧縮ファイルを作成
jar cmvf %temp%/manifest.txt %mkfile% -C %temp%/. .

:LEND
rem  %temp%ディレクトリを削除します。
rmdir %temp% /S /Q

echo jarの実行
java -jar %mkfile%
cmd
